export const viewMixin = {
    props: {
        dataList: {
            type: Array
        },
        dataCount: {
            type: Number,
            default: 0
        },
        tableInfo: {
            type: Object
        }
    },
    data() {
        return {
            viewData: []
        };
    },
    computed: {
        tableFieldList() {
            if (!this.tableInfo) {
                return [];
            }
            return this.tableInfo.tableFieldList;
        }
    },
    watch: {
        dataList: {
            handler(val) {
                this.viewData = val;
            },
            immediate: true
        }
    },
    methods: {
        onShowRecord(data) {
            this.$emit('show-record', data.id);
        },
        fireSelection(selectionIdList) {
            this.$emit('selection-change', selectionIdList);
        },
        onTypeChange(type) {
            this.$emit('type-change', type);
        },
        onPaginationChange(pagination) {
            this.$emit('pagination-change', pagination);
        }
    }
};
